﻿@inject IJSRuntime JSRuntime

<div style="height: 100%; width: 100%" ref="@m_InputElement"></div>

@functions{

  [Parameter]
  public string ModelPath { get; set; }

  private IJSInProcessRuntime IPR => (IJSInProcessRuntime)JSRuntime;

  private ElementRef m_InputElement { get; set; }

  public int Counter
  {
    get
    {
      string value = IPR.Invoke<string>("interop.getProperty", nameof(Counter));
      if (value != null && int.TryParse(value, out var v))
      {
        return v;
      }
      return 0;
    }
    set
    {
      IPR.Invoke<string>("interop.setProperty", nameof(Counter), $"{value}");
    }
  }

  protected override void OnAfterRender()
  {
    IPR.Invoke<string>("viewer.setViewer", ModelPath);
  }
}
